NAC reports "Windows Update Agent is not the correct version"

Unanswered Question
Apr 9th, 2010
User Badges:

We just switched from CAM validation to Windows Update validation using NAC agent 4.7.2.10 (Clean access) and are begining to see lots of 64 bit Vista/Win7 machines with the "Windows Update Agent is not the correct version" issue.  We have 9 cases in less than a day and growing fast.


Is there a resolution for this issue? Suggestions anyone?

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
nextdatai_2 Thu, 09/22/2011 - 09:06
User Badges:

Hi Sam,


I'm having the same issue, but on Windows 7 32-bits machines.  Were you able to overcome this problem?... I haven't been able to identify a pattern on machines that prompt "Windows Update Agent is not the correct version", but it happens randomly.  Our workaround is to reboot the machine, and then Agent completes posture validation without any prompt.

Actions

This Discussion